Tag

openjdk:26-ea-15-jdk
Content Digest: sha256:744134809793eed649233bc12c73ace2327268c7c440b0e97379ffdc02a74081
Manifests
Details
Content Digest

sha256:c79e79da933f7f99a7ed9dbe724c4335338b9c53e920f5cda6971cdc48039fc5

Created

2025-09-13 02:48:17 CST

Size

296 MB


Environment
JAVA_HOME

/usr/java/openjdk-26

JAVA_VERSION

26-ea+15

LANG

C.UTF-8

PATH

/usr/java/openjdk-26/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:500d7b2546c4e2118109493e62a416f6e12fe0670ed784ab0a5ada2787573be5 - 15.92% (47.2 MB)

[#001] sha256:ad565c767b0d0d1e9413ddf64fd36001f66e573ae52e6ecfd9db134ccf36741c - 12.23% (36.2 MB)

[#002] sha256:745697cda05628f84bb70d792f6c2fe6013dd40d3a66a7e45583f84b5287e4d3 - 71.85% (213 MB)


History
2025-08-22 01:11:12 CST (buildkit.dockerfile.v0)

ADD oraclelinux-9-slim-amd64-rootfs.tar.xz / # buildkit

2025-08-22 01:11:12 CST (buildkit.dockerfile.v0)

CMD ["/bin/bash"]

2025-09-13 02:48:17 CST (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all # buildkit

2025-09-13 02:48:17 CST (buildkit.dockerfile.v0)

ENV JAVA_HOME=/usr/java/openjdk-26

2025-09-13 02:48:17 CST (buildkit.dockerfile.v0)

ENV PATH=/usr/java/openjdk-26/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2025-09-13 02:48:17 CST (buildkit.dockerfile.v0)

ENV LANG=C.UTF-8

2025-09-13 02:48:17 CST (buildkit.dockerfile.v0)

ENV JAVA_VERSION=26-ea+15

2025-09-13 02:48:17 CST (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; arch="$(rpm --query --queryformat='%{ARCH}' rpm)"; case "$arch" in 'x86_64') downloadUrl='https://download.java.net/java/early_access/jdk26/15/GPL/openjdk-26-ea+15_linux-x64_bin.tar.gz'; downloadSha256='d8fa7cffcc38d68ed218fa285958e163c48a9b0d5c968c0c8859cc0a36e0baa0'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk26/15/GPL/openjdk-26-ea+15_linux-aarch64_bin.tar.gz'; downloadSha256='955e3af91d63b89cb5eecc00503ca439d96a9d2cf645e38e4079ed65c5486ff2'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version # buildkit

2025-09-13 02:48:17 CST (buildkit.dockerfile.v0)

CMD ["jshell"]

Details
Content Digest

sha256:ceb715334491dd22c44327ce9b9b9003dbca5a8bb71dc498438e5fd7fb6dc7fc

Created

2025-09-16 01:06:09 CST

Size

3.53 GB


Environment
JAVA_HOME

C:\openjdk-26

JAVA_SHA256

8620c77a818f584769ebda95d4cb9d48d02f8340a9b16467de74590ec46c730c

JAVA_URL

https://download.java.net/java/early_access/jdk26/15/GPL/openjdk-26-ea+15_windows-x64_bin.zip

JAVA_VERSION

26-ea+15


Layers

[#000] sha256:1317fe15185685e9cd27f7542cd96f4847343401288a8b6798273a4ac60844eb - 58.43% (2.06 GB)

[#001] sha256:2e9750fac680d8e6b6c2e0a6f7718b1ccb76f68a6ebd9f9da4c5e470458c7e72 - 35.77% (1.26 GB)

[#002] sha256:0861dde30c6849e0475df82b1911098b91a571b937e143589b1fa4292613bfbe - 0.0% (1.29 KB)

[#003] sha256:c474329c9cc5d1ccd0c4ec5cbd53e1cb2135929dbe4e1dfd236894ff3ed014c8 - 0.01% (356 KB)

[#004] sha256:b0c43d97d08aaaa5ad05f4079e49b66252ed50a68644c9f310719bff37113e14 - 0.0% (1.28 KB)

[#005] sha256:21e91df1a61ac000617b6afba5d588b93d31e57c39faad4eabbc3c2192e45051 - 0.01% (332 KB)

[#006] sha256:4ebc35c30e50895f833057a6e45ae69dfdf47ffe20c38e0e0efdef0ebd93f7c4 - 0.0% (1.28 KB)

[#007] sha256:10139e7c54f656bf9f7ee9550045ea3c94c2e9a0b3596efd8a08fba5ed91643b - 0.0% (1.29 KB)

[#008] sha256:20582e5a6292c8bbaeff48e34d7690b589fc5d683111b962b482a3a03c57c5ec - 0.0% (1.26 KB)

[#009] sha256:e8a486f9442a913632aa0ae10ab1275fc1590eee71482eb3e02123c3589c11f6 - 5.78% (209 MB)

[#010] sha256:744aba06fd809aa6bc621b07efd2cf375af59ab0766160257b3840b0e330e8e6 - 0.0% (1.26 KB)


History
2024-12-09 06:41:37 CST

Apply image 10.0.26100.2605

2025-09-06 10:36:14 CST

Install update 10.0.26100.6584

2025-09-16 01:04:37 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2025-09-16 01:04:58 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'

2025-09-16 01:04:59 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-26

2025-09-16 01:05:05 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'

2025-09-16 01:05:05 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=26-ea+15

2025-09-16 01:05:06 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk26/15/GPL/openjdk-26-ea+15_windows-x64_bin.zip

2025-09-16 01:05:07 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=8620c77a818f584769ebda95d4cb9d48d02f8340a9b16467de74590ec46c730c

2025-09-16 01:06:08 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'

2025-09-16 01:06:09 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]

Details
Content Digest

sha256:d92080218e327a9b0bfb3fb8794e201bef8d3912cc03909bee8c20f009c92cab

Created

2025-09-16 00:59:55 CST

Size

2.33 GB


Environment
JAVA_HOME

C:\openjdk-26

JAVA_SHA256

8620c77a818f584769ebda95d4cb9d48d02f8340a9b16467de74590ec46c730c

JAVA_URL

https://download.java.net/java/early_access/jdk26/15/GPL/openjdk-26-ea+15_windows-x64_bin.zip

JAVA_VERSION

26-ea+15


Layers

[#000] sha256:2534953f34d35976fc44cd67bfdd39fdcd9e2eaae57ada0be53d5fb936cd3a0b - 58.44% (1.36 GB)

[#001] sha256:3b109a50da182bf38f697ad080cf5640df286bdfc5e6a1f2f6b2002c48534385 - 32.77% (782 MB)

[#002] sha256:cebdce8c236e588a48abb72ba4f4cfbb4707871e712f18537c070ee45f227099 - 0.0% (1.29 KB)

[#003] sha256:9c343394d662c7529c736bec3dd6f525ce2b61d0630dba2dac7c1fbcf35e921f - 0.02% (370 KB)

[#004] sha256:325b5b433722ebc365a55e957ed08aebbae704c1e350059aef8f969d7b1eeb3c - 0.0% (1.29 KB)

[#005] sha256:fecce369025075ec85e56ae819ffda37700567f05c5089eab5888feeec16792a - 0.01% (352 KB)

[#006] sha256:d74dabb6bc550ca72be5291337621b97b2bb372bff44e3efe06dcd6aea823e58 - 0.0% (1.26 KB)

[#007] sha256:6f5407430b9f2621d06b6eb9ea4c34f62f8d9abaf537f02aacd82f7e96a88b0b - 0.0% (1.3 KB)

[#008] sha256:6f4621e780c6196dd1b7badd8ed0d3ee79f6cb2e4cbb1f0f99d5c925b24f4585 - 0.0% (1.26 KB)

[#009] sha256:e87cd30e7b307ec07d89a4693c56247aa25e02c346b1cbbe286d92df1916b979 - 8.76% (209 MB)

[#010] sha256:294597be4a1fc35b0369fb73c6f27518dddf699b4fbee1fed75ed2c07d0887fe - 0.0% (1.29 KB)


History
2024-09-06 08:01:38 CST

Apply image 10.0.20348.2700

2025-09-05 21:15:05 CST

Install update 10.0.20348.4171

2025-09-16 00:58:20 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2025-09-16 00:59:21 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'

2025-09-16 00:59:22 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-26

2025-09-16 00:59:29 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'

2025-09-16 00:59:29 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=26-ea+15

2025-09-16 00:59:30 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk26/15/GPL/openjdk-26-ea+15_windows-x64_bin.zip

2025-09-16 00:59:32 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=8620c77a818f584769ebda95d4cb9d48d02f8340a9b16467de74590ec46c730c

2025-09-16 00:59:55 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'

2025-09-16 00:59:55 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]

Details
Content Digest

sha256:ac6415187908b55b335b9ed49c297b3acb0bc82ef5be04675caf40395064e50c

Created

2025-09-13 02:48:17 CST

Size

293 MB


Environment
JAVA_HOME

/usr/java/openjdk-26

JAVA_VERSION

26-ea+15

LANG

C.UTF-8

PATH

/usr/java/openjdk-26/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:b5e369658cc0fdedce73e0479a85cd17ba8a09435fc3b21f6afb7e0d4783429d - 15.63% (45.9 MB)

[#001] sha256:da2cadef76f612df1bfeb4e0ea348583e29066bfdd032e8069f332320ac2d57e - 12.48% (36.6 MB)

[#002] sha256:66966145c534b99e816b59d9df89ba01ebfe4186bad22ddb2f28cc0faad0542f - 71.89% (211 MB)


History
2025-08-22 01:12:13 CST (buildkit.dockerfile.v0)

ADD oraclelinux-9-slim-arm64v8-rootfs.tar.xz / # buildkit

2025-08-22 01:12:13 CST (buildkit.dockerfile.v0)

CMD ["/bin/bash"]

2025-09-13 02:48:17 CST (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all # buildkit

2025-09-13 02:48:17 CST (buildkit.dockerfile.v0)

ENV JAVA_HOME=/usr/java/openjdk-26

2025-09-13 02:48:17 CST (buildkit.dockerfile.v0)

ENV PATH=/usr/java/openjdk-26/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2025-09-13 02:48:17 CST (buildkit.dockerfile.v0)

ENV LANG=C.UTF-8

2025-09-13 02:48:17 CST (buildkit.dockerfile.v0)

ENV JAVA_VERSION=26-ea+15

2025-09-13 02:48:17 CST (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; arch="$(rpm --query --queryformat='%{ARCH}' rpm)"; case "$arch" in 'x86_64') downloadUrl='https://download.java.net/java/early_access/jdk26/15/GPL/openjdk-26-ea+15_linux-x64_bin.tar.gz'; downloadSha256='d8fa7cffcc38d68ed218fa285958e163c48a9b0d5c968c0c8859cc0a36e0baa0'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk26/15/GPL/openjdk-26-ea+15_linux-aarch64_bin.tar.gz'; downloadSha256='955e3af91d63b89cb5eecc00503ca439d96a9d2cf645e38e4079ed65c5486ff2'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version # buildkit

2025-09-13 02:48:17 CST (buildkit.dockerfile.v0)

CMD ["jshell"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.